#include<bits/stdc++.h>
using namespace std;
long long m,n; int k,t;
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    cin>>t;
    for(int j = 0;j<t;j++){
        cin>>n>>m>>k;
        if(k*(n/k)*(n/k+1)/2+(n%k)*(n/k+1)<=m) cout<<"Tak\n";
        else cout<<"Nie\n";
    }
    return 0;
}